## datalad-container 0.2.2

=== requirements.txt ===
# If you want to develop, use requirements-devel.txt
git+https://github.com/datalad/datalad.git

=== debian/changelog ===
datalad-container (0.2.2-2) unstable; urgency=medium

  * Re-upload to Debian proper (Closes: #918924)
  * debian/copyright
    - adjusted to reference copyright/license of borrowed code under Python2
      license

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Jan 2019 11:52:19 -0500

datalad-container (0.2.2-1) neurodebian; urgency=low

  * Initial packaging
    - source package initiated by stdeb 0.8.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jan 2019 11:18:42 -0500

=== debian/control ===
Source: datalad-container
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 datalad (>= 0.11.1~),
 python-requests (>= 1.2),
 python3-setuptools,
 python3-all,
 python3-nose,
Standards-Version: 4.1.3
Homepage: http://datalad-container.rtfd.org

Package: datalad-container
Architecture: all
Depends:
 datalad (>= 0.11.1~),
 python-requests (>= 1.2),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 singularity-container,
Suggests:
 docker.io,
Description: DataLad extension for working with containerized environments
 This extension enhances DataLad (http://datalad.org) for working with
 computational containers.

## datalad-container 0.3.1

=== debian/changelog ===
datalad-container (0.3.1-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 06 Mar 2019 10:43:52 -0500

datalad-container (0.3.1-1) experimental; urgency=medium

  * Fresh upstream release
  * debian/patches - dropped, upstreamed

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Mar 2019 10:09:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: datalad-container
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
 Build-Depends:
@@ -15,9 +16,10 @@
 
 Package: datalad-container
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  datalad (>= 0.11.1~),
- python-requests (>= 1.2),
+ python3-requests (>= 1.2),
+ python3-chardet (>= 3.0.4),
  ${misc:Depends},
  ${python3:Depends}
 Recommends:

## datalad-container 0.5.0

=== debian/changelog ===
datalad-container (0.5.0-1~nd80+1) jessie; urgency=medium

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 12 Aug 2019 12:07:08 -0400

datalad-container (0.5.0-1) unstable; urgency=medium

  * Recent upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Aug 2019 11:38:05 -0400

datalad-container (0.4.0-1) experimental; urgency=medium

  * Fresh upstream release
    - d/control: minimal required datalad version is 0.11.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 May 2019 15:28:39 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- datalad (>= 0.11.1~),
+ datalad (>= 0.11.5~),
  python-requests (>= 1.2),
  python3-setuptools,
  python3-all,
@@ -17,7 +17,7 @@
 Package: datalad-container
 Architecture: all
 Depends: neurodebian-popularity-contest, 
- datalad (>= 0.11.1~),
+ datalad (>= 0.11.5~),
  python3-requests (>= 1.2),
  python3-chardet (>= 3.0.4),
  ${misc:Depends},

## datalad-container 1.0.0

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix
# Ideas borrowed from scikit-learn's and PyMVPA Makefiles  -- thanks!

PYTHON ?= python
NOSETESTS ?= nosetests

MODULE ?= datalad

all: clean test

clean:
	$(PYTHON) setup.py clean
	rm -rf dist build bin docs/build docs/source/generated
	-find . -name '*.pyc' -delete
	-find . -name '__pycache__' -type d -delete

bin:
	mkdir -p $@
	PYTHONPATH=bin:$(PYTHONPATH) python setup.py develop --install-dir $@

test-code: bin
	PATH=bin:$(PATH) PYTHONPATH=bin:$(PYTHONPATH) $(NOSETESTS) -s -v $(MODULE)

test-coverage:
	rm -rf coverage .coverage
	$(NOSETESTS) -s -v --with-coverage $(MODULE)

test: test-code


trailing-spaces:
	find $(MODULE) -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

code-analysis:
	flake8 $(MODULE) | grep -v __init__ | grep -v external
	pylint -E -i y $(MODULE)/ # -d E1103,E0611,E1101

update-changelog:
	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
	pandoc -t rst CHANGELOG.md >> docs/source/changelog.rst

release-pypi: update-changelog
	# better safe than sorry
	test ! -e dist
	python setup.py sdist
	python setup.py bdist_wheel --universal
	twine upload dist/*

=== debian/changelog ===
datalad-container (1.0.0-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use python3-requests; Closes: #942936

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 29 Mar 2020 16:26:42 -0400

datalad-container (1.0.0-1) unstable; urgency=medium

  * Fresh upstream release
    - requires datalad >= 0.12
  * boost compat to 10

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Feb 2020 10:31:21 -0500

=== debian/control ===
Source: datalad-container
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 datalad (>= 0.12~),
 python3-requests (>= 1.2),
 python3-setuptools,
 python3-all,
 python3-nose,
Standards-Version: 4.1.3
Homepage: http://datalad-container.rtfd.org

Package: datalad-container
Architecture: all
Depends:
 datalad (>= 0.12~),
 python3-requests (>= 1.2),
 python3-chardet (>= 3.0.4),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 singularity-container,
Suggests:
 docker.io,
Description: DataLad extension for working with containerized environments
 This extension enhances DataLad (http://datalad.org) for working with
 computational containers.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=datalad-container
# cannot do testing with just build'ed version since that one does not register entry points
export PYBUILD_DISABLE=test

export DATALAD_TESTS_NONETWORK = 1

PY3VERSIONS=$(shell py3versions -vr)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	(set -e; \
     for v in $(PY3VERSIONS); do \
        moddir=debian/datalad-container/usr/lib/python$$v/dist-packages/datalad_container; \
        HOME=$(CURDIR)/.pybuild python$$v -m nose -s -v $$moddir && \
		find "$$moddir" -iname *pyc -delete && \
		find "$$moddir" -iname __pycache__ | xargs rm -rf ; \
	 done;)

## datalad-container 1.1.0

=== debian/changelog ===
datalad-container (1.1.0-1) unstable; urgency=medium

  * Recent upstream release
  * d/rules
    - exclude test_custom_call_fmt from running since then system-wide
      datalad fails to find our extension

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Dec 2020 22:40:56 -0500

datalad-container (1.0.1-1) unstable; urgency=medium

  * Upstream release which should be compatible with upcoming
    DataLad 0.14 (and current master)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Sep 2020 18:39:27 -0400

## datalad-container 1.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* source/generated source/_extras/schema.json

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_container.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_container.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_container"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_container"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
datalad-container (1.1.2-1) unstable; urgency=medium

  [ Michael Hanke ]
  * New upstream release (missed 1.1.1).
    - Now compatible with DataLad 0.14x

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 01 Feb 2021 09:58:48 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- datalad (>= 0.12~),
+ datalad (>= 0.13~),
  python3-requests (>= 1.2),
  python3-setuptools,
  python3-all,
@@ -16,7 +16,7 @@
 Package: datalad-container
 Architecture: all
 Depends:
- datalad (>= 0.12~),
+ datalad (>= 0.13~),
  python3-requests (>= 1.2),
  python3-chardet (>= 3.0.4),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	(set -e; \
      for v in $(PY3VERSIONS); do \
         moddir=debian/datalad-container/usr/lib/python$$v/dist-packages/datalad_container; \
-        HOME=$(CURDIR)/.pybuild python$$v -m nose -s -v $$moddir && \
+        HOME=$(CURDIR)/.pybuild python$$v -m nose -s -v -e test_custom_call_fmt $$moddir && \
 		find "$$moddir" -iname *pyc -delete && \
 		find "$$moddir" -iname __pycache__ | xargs rm -rf ; \
 	 done;)

## datalad-container 1.1.6

=== debian/changelog ===
datalad-container (1.1.6-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Fixes FTBFS. (Closes: #1009381)

 -- Adrian Bunk <bunk@debian.org>  Thu, 26 May 2022 16:57:01 +0300

## datalad-container 1.1.7

=== debian/changelog ===
datalad-container (1.1.7-1) unstable; urgency=medium

  * Fresh upstream release
    - moved to pytest for testing. d/{control,rules} adjusted.
      (Closes: #1018335)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Aug 2022 20:56:28 -0400

datalad-container (1.1.6-1) unstable; urgency=medium

  [ Adrian Bunk ]
  * New upstream release.
    - Fixes FTBFS. (Closes: #1009381)

  [ Yaroslav Halchenko ]
  * Add debian/source/options to exclude diff in datalad_container/_version.py
    produced by versioneer.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 26 May 2022 10:40:11 -0400

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- datalad (>= 0.13~),
+ datalad (>= 0.17~),
  python3-requests (>= 1.2),
  python3-setuptools,
  python3-all,
- python3-nose,
+ python3-pytest,
 Standards-Version: 4.1.3
 Homepage: http://datalad-container.rtfd.org

## datalad-container 1.1.9

=== Makefile ===
PYTHON ?= python

clean:
	$(PYTHON) setup.py clean
	rm -rf dist build bin docs/build docs/source/generated *.egg-info
	-find . -name '*.pyc' -delete
	-find . -name '__pycache__' -type d -delete

release-pypi:
	# avoid upload of stale builds
	test ! -e dist
	$(PYTHON) setup.py sdist bdist_wheel
	twine upload dist/*

update-buildsupport:
	git subtree pull \
		-m "Update DataLad build helper" \
		--squash \
		--prefix _datalad_buildsupport \
		https://github.com/datalad/datalad-buildsupport.git \
		master

=== debian/changelog ===
datalad-container (1.1.9-1~nd110+1) bullseye; urgency=medium

  * Backported for bullseye.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 05 Feb 2023 20:46:39 -0500

datalad-container (1.1.9-1) unstable; urgency=medium

  * Fresh upstream release
    - accounts for the move of @eval_results (Closes: #1030466)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 05 Feb 2023 20:26:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: datalad-container
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- datalad (>= 0.17~),
+ datalad (>= 0.18~),
  python3-requests (>= 1.2),
  python3-setuptools,
  python3-all,
@@ -15,8 +16,8 @@
 
 Package: datalad-container
 Architecture: all
-Depends:
- datalad (>= 0.13~),
+Depends: neurodebian-popularity-contest, 
+ datalad (>= 0.18~),
  python3-requests (>= 1.2),
  python3-chardet (>= 3.0.4),
  ${misc:Depends},

## datalad-container 1.2.5

=== debian/changelog ===
datalad-container (1.2.5-1~nd22.04+1) jammy; urgency=medium

  * Backported for jammy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 18 Jan 2024 10:03:14 -0500

datalad-container (1.2.5-1) unstable; urgency=medium

  * Fresh upstream release
    - upgraded versioneer so should not cause troubles with recent Pythons
      which removed SafeConfigParser (Closes: #1060979)
  * debian/gbp.conf
    - specify all custom branches and tags

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 18 Jan 2024 09:26:50 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  dh-python,
  datalad (>= 0.18~),
  python3-requests (>= 1.2),
- python3-setuptools,
+ python3-setuptools (>= 43.0.0),
  python3-all,
  python3-pytest,
+ python3-tomli,
 Standards-Version: 4.1.3
 Homepage: http://datalad-container.rtfd.org

## datalad-container 1.2.6

=== requirements.txt ===
# If you want to develop, use requirements-devel.txt
# git+https://github.com/datalad/datalad.git

=== debian/changelog ===
datalad-container (1.2.6-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1112547)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 31 Aug 2025 09:40:09 -0400

datalad-container (1.2.6-1) experimental; urgency=medium

  * Fresh upstream patch release
    - upload to experimental due to Debian trixie freeze
    - minimally supported setuptools now 59.0.0
  * debian/control
    - remove b-depends on python3-tomli since versioneer.py
      includes support for tomllib included starting with python 3.11
      (bookworm (stable), has 3.11) (Closes: #1105931)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 May 2025 16:51:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: datalad-container
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
 Build-Depends:
@@ -8,16 +7,15 @@
  dh-python,
  datalad (>= 0.18~),
  python3-requests (>= 1.2),
- python3-setuptools (>= 43.0.0),
+ python3-setuptools (>= 59.0.0),
  python3-all,
  python3-pytest,
- python3-tomli,
 Standards-Version: 4.1.3
 Homepage: http://datalad-container.rtfd.org
 
 Package: datalad-container
 Architecture: all
-Depends: neurodebian-popularity-contest, 
+Depends:
  datalad (>= 0.18~),
  python3-requests (>= 1.2),
  python3-chardet (>= 3.0.4),

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	(set -e; \
      for v in $(PY3VERSIONS); do \
         moddir=debian/datalad-container/usr/lib/python$$v/dist-packages/datalad_container; \
-        HOME=$(CURDIR)/.pybuild python$$v -m nose -s -v -e test_custom_call_fmt $$moddir && \
+        HOME=$(CURDIR)/.pybuild python$$v -m pytest -s -v -k "not test_custom_call_fmt" $$moddir && \
 		find "$$moddir" -iname *pyc -delete && \
 		find "$$moddir" -iname __pycache__ | xargs rm -rf ; \
 	 done;)

=== debian/watch ===
# please also check http://pypi.debian.net/datalad_container/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/datalad_container/datalad_container-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
